Name: yafray
Version: 0.0.9
Release: alt4.1

Summary: Yet Another Free RAYtracer
License: LGPL
Group: Graphics
Url: http://www.yafray.org/

Packager: Sergey Kurakin <kurakin@altlinux.ru>

Source: %name-%version.tar.gz
Patch0: %name-0.0.9-build.patch
Patch1: %name-0.0.9-install.patch

# Automatically added by buildreq on Sat Jun 09 2007
BuildRequires: gcc-c++ libjpeg-devel openexr-devel scons zlib-devel

%description
Yafray is an open source ray tracer, offering Global Illumination and Photon Mapping,
for high quality photorealistic rendering. Export to Yafray is integrated in Blender.

%prep
%setup -n %name
%patch0 -p1
%patch1 -p1
sed -i "s|flags='|flags='$RPM_OPT_FLAGS |" linux-settings.py
sed -i "s|/lib|/%{_lib}|" linux-settings.py
sed -i "s|/usr/local/lib|/usr/%{_lib}|" \
	src/interface/interface_impl.h \
	src/interface/test.cc \
	src/loader/render.h \
	configio.py

%build
scons

%install
scons prefix=%buildroot install

%files
%doc AUTHORS ChangeLog INSTALL README NEWS
%_libdir/*
%_bindir/*
%config %_sysconfdir/*

%changelog
* Fri Feb 29 2008 ALT QA Team Robot <qa-robot@altlinux.org> 0.0.9-alt4.1
- Rebuilt due to libIlmImf.so.4 -> libIlmImf.so.6 soname change.

* Thu Jun 14 2007 Sergey Kurakin <kurakin@altlinux.ru> 0.0.9-alt4
- default plugins path fixed (was broken in alt3)
- summary corrected

* Mon Jun 11 2007 Sergey Kurakin <kurakin@altlinux.ru> 0.0.9-alt3
- x86_64 build fixed
- optflags added

* Sat Jun  9 2007 Sergey Kurakin <kurakin@altlinux.ru> 0.0.9-alt2
- default plugins path corrected
- install patch

* Fri Apr 20 2007 Sergey Kurakin <kurakin@quittance.ru> 0.0.9-alt1
- initial build for Sisyphus

